<?xml version='1.0' encoding='UTF-8' ?>
<xsl:stylesheet version="1.0" xmlns:xsl='http://www.w3.org/1999/XSL/Transform' xmlns:fo='http://www.w3.org/1999/XSL/Format'>
   <xsl:output method="html" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" indent="yes" />

   <xsl:template match="/">
      <html>
         <head>
            <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
            <meta name="copyright" content="(C) Copyright IBM Corporation 2006" />
            <meta name="DC.rights.owner" content="(C) Copyright IBM Corporation 2006" />
            <meta name="security" content="public" />
            <meta name="Robots" content="index,follow" />
            <meta http-equiv="PICS-Label" content="(PICS-1.1 &quot;http://www.icra.org/ratingsv02.html&quot; l gen true r (cz 1 lz 1 nz 1 oz 1 vz 1) &quot;http://www.rsac.org/ratingsv01.html&quot; l gen true r (n 0 s 0 v 0 l 0) &quot;http://www.classify.org/safesurf/&quot; l gen true r (SS~~000 1))" />
            <meta name="DC.Type" content="concept" />
            <meta name="DC.Title" content="Peter's file" />
            <meta name="abstract" content="This file contains information about something" />
            <meta name="description" content="This file contains information about something" />
            <meta name="DC.Format" content="XHTML" />
            <meta name="DC.Identifier" content="petersfile" />
            <meta name="DC.Language" content="en-us" />
<style type='text/css'>
                         body {
                           font-family: sans-serif;font-size: 90%;
                         } 
                         h1 {
                           font-size: 200%;
                           text-align: center;
                         }
                         h2 {
                           font-size: 150%;
                           text-align: center;
                         }
                     
                         table {
                           border-collapse: collapse;
                           border: 2 solid black;
                         }
                         th, td {
                           padding: 0.0em 0.5em;
                           vertical-align: top;
                           text-align: left;
                         }
</style>

            <title>%InstallPublication_Title</title>
         </head>

         <body>
            <ul>
               <h1>%InstallPublication_Title</h1>
               <br />
               <xsl:apply-templates select="/installInfo/location[@kind = 'self']" />
               <br />
               <br /> 
               <br /> 
               <br /> 
               <br /> 
               <br /> 
               <br /> 
               <br /> 
               <xsl:apply-templates select="/installInfo/location[@kind != 'self']">
                  <xsl:sort select="@id" />
               </xsl:apply-templates>
            </ul>
         </body>
      </html>
   </xsl:template>

<!-- ======== REPORT INSTALL LOCATION (SELF ONLY) ======= -->
   <xsl:template match="location[@kind = 'self']">
      <xsl:variable name='n' select="./package/@name" />
 	  <xsl:variable name='ver1' select="./package/property[@name='cic.info.version']" />
     <h2>
         <xsl:value-of select="concat($n,' %InstallPublication_Version ')" />
		 <xsl:value-of select="$ver1/@value" />
         (<xsl:value-of select="./package/@version" />)
      </h2>

      <table summary="" border="0" frame="border" style=" text-align: left; width: 100%;">
         <tbody>
            <tr>
               <th style=" text-align: left; width: 32%;">%InstallPublication_Installation_Location</th>
               <td>
                  <xsl:value-of select="@path" />
               </td>
            </tr>
        </tbody>
      </table>
   </xsl:template>

<!-- ===== REPORT INSTALL LOCATION (ALL OFFERINGS BUT (SELF)  NOT SELF!! ===== -->
   <xsl:template match="location">
      <table summary="" border="0" frame="border" style=" text-align: left; width: 100%;">
         <tbody>
            <tr>
               <th style=" vertical-align: middle; width: 28%;">%InstallPublication_Package_Group_Name</th>
               <td style=" vertical-align: middle;">
                  <div>
                     <big>
                        <big>
                           <b>
                              <xsl:value-of select="@id" />
                           </b>
                        </big>
                     </big>
                  </div>
               </td>
            </tr>

            <tr>
               <th>%InstallPublication_Package_Group_Location</th>
               <td>
                  <xsl:value-of select="@path" />
               </td>
            </tr>
            <tr>
               <th>%InstallPublication_Package_Group_Languages</th>
               <td>
			      <xsl:variable name='prop' select="./property[@name='cic.selector.nl']" />
			      <xsl:value-of select="$prop/@value" />
               </td>
            </tr>
         </tbody>
      </table>

      <br />

      <table border='1' style=" text-align: left; width: 100%;">
         <tbody>
            <tr>
               <th style="vertical-align: middle; text-align: center; width: 45%;">%InstallPublication_Packages</th>
               <th style="vertical-align: middle; text-align: center;">%InstallPublication_Features</th>
            </tr>

            <xsl:apply-templates select="./package" />
         </tbody>
      </table>
      <br />
      <br />
      <br />
      <br />
      <br />
      <br />
      <br />
      <br />
      <br />
   </xsl:template>

<!-- REPORT OFFERINGS -->
   <xsl:template match="package[@kind='offering']">
      <tr>
         <th style="vertical-align: middle; text-align: center;">
         <xsl:value-of select="@name" />
         <br />
		 <xsl:variable name='ver' select="./property[@name='cic.info.version']" />
         %InstallPublication_Version 
         <xsl:value-of select="$ver/@value" />  (<xsl:value-of select="@version" />)
		 <xsl:if test="count(package[@kind='fix'])!=0">
			<br/><p style="margin-right: 30px; text-align: center;">%InstallPublication_Fixes </p>
			<ul style="margin-left: 20px;text-align: left;">
			<xsl:apply-templates select="./package[@kind='fix']" />
	        </ul>
         </xsl:if> 
         </th>
         <td>
            <br />
            <ul style="margin-left: 60px;">
               <xsl:apply-templates select="./package[@kind='feature']" />
            </ul>
            <br />
         </td>
      </tr>
   </xsl:template>

<!-- REPORT FEATURES -->
   <xsl:template match="package[@kind='feature']">
      <xsl:variable name='propKind' select="./property[@name='cic.feature.kind']" />
		<xsl:if test="$propKind/@value!='RequiredAndNotVisible'">
		<xsl:variable name='prop' select="./property[@name='cic.info.name']" />
		<li>
			<xsl:value-of select="$prop/@value" />
		</li>
	  </xsl:if>
   </xsl:template>
   <!-- REPORT FIXES -->
   <xsl:template match="package[@kind='fix']">
      <xsl:variable name='prop' select="./property[@name='cic.info.name']" />
	  <xsl:variable name='ver' select="./property[@name='cic.info.version']" />      <li>
         <xsl:value-of select="$prop/@value" /><br />
		 %InstallPublication_Version <xsl:value-of select="$ver/@value" />  (<xsl:value-of select="@version" />)
      </li>
   </xsl:template>  
</xsl:stylesheet>

